#
# spec file for package broot
#
# Copyright (c) 2022 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           broot
Version:        1.16.2
Release:        bp155.1.7
Summary:        A better way to navigate directories
License:        MIT
URL:            https://dystroy.org/broot/
Source0:        https://github.com/Canop/broot/archive/v%{version}.tar.gz#/%{name}-%{version}.tar.gz
Source1:        vendor.tar.xz
Source2:        %{name}.changes
Source3:        cargo_config
BuildRequires:  cargo-packaging

%description
A better way to navigate directories.
Tree-like commandline directory navigator written in Rust.

%prep
%setup -qa 1
mkdir .cargo
cp %{SOURCE3} .cargo/config

%build
%cargo_build

%check
%cargo_test

%install
%cargo_install
rm -rf %{buildroot}/%{_builddir}/%{name}-%{version}/vendor/

%files
%license LICENSE
%doc CHANGELOG.md README.md
%{_bindir}/broot

%changelog
* Thu Nov 17 2022 Andrea Manzini <andrea.manzini@suse.com>
- Update to 1.16.2:
  * you can restrict the panels in which verbs apply with the verb configuration panels parameter
  * fixes ctrl-left not usable anymore to remove filtering in preview
  * status messages now displayed on toggling (for example showing hidden files)
  * New escaping rules let you skip many \, especially when building regexes
  * --sort-by-type-dirs-first and --sort-by-type-dirs-last - Fix
  * modal: in intput mode, uppercase letters don't trigger verbs anymore
  * selecting lines up or down with the mouse wheel now wraps in both direction
  * Terminal background luma determination now works on all tested unixes, including MacOS
  * Major Feature: imports (A configuration file can now import one or several other ones)
  * advice to hit alt-i and|or alt-h when no file is visible
  * examples on search modes in help screen
  * close the staging area when it's emptied with a verb (e.g. on :rm)
* Fri Jul  8 2022 William Brown <william.brown@suse.com>
- Remove dependency on unmaintained rust-packaging
* Mon May  2 2022 Martin Sirringhaus <martin.sirringhaus@suse.com>
- Update to v1.11.1 (see CHANGELOG.md)
* Thu Jan 23 2020 Martin Sirringhaus <martin.sirringhaus@suse.com>
- Initial commmit of v0.12.0
